Bug 1665755 - Replace --renew-hook with --deploy-hook in systemd units
Summary: Replace --renew-hook with --deploy-hook in systemd units
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: certbot
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-13 19:25 UTC by Alan Hamilton
Modified: 2019-06-15 00:24 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-01 00:51:56 UTC


Attachments (Terms of Use)

Description Alan Hamilton 2019-01-13 19:25:54 UTC
Description of problem:
Config file for systemd has incorrect documentation

Version-Release number of selected component (if applicable):
certbot-0.29.1-1.fc29.noarch

The systemd unit provided with the Fedora release of certbot uses environmental variables set in /etc/sysconfig/certbot, one of which is "RENEW_HOOK".

# Command to be run in a shell once for each
# successfully renewed certificate. For this command,
# the shell variable $RENEWED_LINEAGE will point to the
# config live subdirectory containing the new certs and
# keys; the shell variable $RENEWED_DOMAINS will contain
# a space-delimited list of renewed cert domains
#
# An example to run a script to alert each cert would be:
# RENEW_HOOK="--renew-hook /usr/local/bin/cert-notifier.sh"

This is no longer correct. In the current release of certbot, --renew-hook does nothing, not even throw an error. The correct command is --deploy-hook .

The variable should probably be changed to DEPLOY_HOOK and the comments updated accordingly.

Comment 1 Fedora Update System 2019-05-29 01:40:43 UTC
FEDORA-EPEL-2019-389d1dd572 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-389d1dd572

Comment 2 Fedora Update System 2019-05-29 01:42:03 UTC
FEDORA-2019-2361aca4af has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2361aca4af

Comment 3 Fedora Update System 2019-05-29 01:43:10 UTC
FEDORA-2019-d81f439a8d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d81f439a8d

Comment 4 Fedora Update System 2019-05-30 13:57:37 UTC
certbot-0.34.2-3.fc30, python-acme-0.34.2-1.fc30, python-certbot-apache-0.34.2-1.fc30, python-certbot-dns-cloudflare-0.34.2-1.fc30, python-certbot-dns-cloudxns-0.34.2-1.fc30, python-certbot-dns-digitalocean-0.34.2-1.fc30, python-certbot-dns-dnsimple-0.34.2-1.fc30, python-certbot-dns-dnsmadeeasy-0.34.2-1.fc30, python-certbot-dns-gehirn-0.34.2-1.fc30, python-certbot-dns-google-0.34.2-1.fc30, python-certbot-dns-linode-0.34.2-1.fc30, python-certbot-dns-luadns-0.34.2-1.fc30, python-certbot-dns-nsone-0.34.2-1.fc30, python-certbot-dns-ovh-0.34.2-1.fc30, python-certbot-dns-rfc2136-0.34.2-1.fc30, python-certbot-dns-route53-0.34.2-1.fc30, python-certbot-dns-sakuracloud-0.34.2-1.fc30, python-certbot-nginx-0.34.2-1.fc30, python-dns-lexicon-3.2.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d81f439a8d

Comment 5 Fedora Update System 2019-05-30 15:34:49 UTC
certbot-0.34.2-3.fc29, python-acme-0.34.2-1.fc29, python-certbot-apache-0.34.2-1.fc29, python-certbot-dns-cloudflare-0.34.2-1.fc29, python-certbot-dns-cloudxns-0.34.2-1.fc29, python-certbot-dns-digitalocean-0.34.2-1.fc29, python-certbot-dns-dnsimple-0.34.2-1.fc29, python-certbot-dns-dnsmadeeasy-0.34.2-1.fc29, python-certbot-dns-gehirn-0.34.2-1.fc29, python-certbot-dns-google-0.34.2-1.fc29, python-certbot-dns-linode-0.34.2-1.fc29, python-certbot-dns-luadns-0.34.2-1.fc29, python-certbot-dns-nsone-0.34.2-1.fc29, python-certbot-dns-ovh-0.34.2-1.fc29, python-certbot-dns-rfc2136-0.34.2-1.fc29, python-certbot-dns-route53-0.34.2-1.fc29, python-certbot-dns-sakuracloud-0.34.2-1.fc29, python-certbot-nginx-0.34.2-1.fc29, python-configargparse-0.14.0-2.fc29, python-dns-lexicon-3.2.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2361aca4af

Comment 6 Fedora Update System 2019-05-30 18:24:13 UTC
certbot-0.34.2-3.el7, python-acme-0.34.2-1.el7, python-certbot-apache-0.34.2-1.el7, python-certbot-dns-cloudflare-0.34.2-1.el7, python-certbot-dns-cloudxns-0.34.2-1.el7, python-certbot-dns-digitalocean-0.34.2-1.el7, python-certbot-dns-dnsimple-0.34.2-1.el7, python-certbot-dns-dnsmadeeasy-0.34.2-1.el7, python-certbot-dns-gehirn-0.34.2-1.el7, python-certbot-dns-google-0.34.2-1.el7, python-certbot-dns-linode-0.34.2-1.el7, python-certbot-dns-luadns-0.34.2-1.el7, python-certbot-dns-nsone-0.34.2-1.el7, python-certbot-dns-ovh-0.34.2-1.el7, python-certbot-dns-rfc2136-0.34.2-1.el7, python-certbot-dns-route53-0.34.2-1.el7, python-certbot-dns-sakuracloud-0.34.2-1.el7, python-certbot-nginx-0.34.2-1.el7, python-dns-lexicon-3.2.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-389d1dd572

Comment 7 Fedora Update System 2019-06-01 00:51:56 UTC
certbot-0.34.2-3.fc30, python-acme-0.34.2-1.fc30, python-certbot-apache-0.34.2-1.fc30, python-certbot-dns-cloudflare-0.34.2-1.fc30, python-certbot-dns-cloudxns-0.34.2-1.fc30, python-certbot-dns-digitalocean-0.34.2-1.fc30, python-certbot-dns-dnsimple-0.34.2-1.fc30, python-certbot-dns-dnsmadeeasy-0.34.2-1.fc30, python-certbot-dns-gehirn-0.34.2-1.fc30, python-certbot-dns-google-0.34.2-1.fc30, python-certbot-dns-linode-0.34.2-1.fc30, python-certbot-dns-luadns-0.34.2-1.fc30, python-certbot-dns-nsone-0.34.2-1.fc30, python-certbot-dns-ovh-0.34.2-1.fc30, python-certbot-dns-rfc2136-0.34.2-1.fc30, python-certbot-dns-route53-0.34.2-1.fc30, python-certbot-dns-sakuracloud-0.34.2-1.fc30, python-certbot-nginx-0.34.2-1.fc30, python-dns-lexicon-3.2.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-06-08 02:12:45 UTC
certbot-0.34.2-3.fc29, python-acme-0.34.2-1.fc29, python-certbot-apache-0.34.2-1.fc29, python-certbot-dns-cloudflare-0.34.2-1.fc29, python-certbot-dns-cloudxns-0.34.2-1.fc29, python-certbot-dns-digitalocean-0.34.2-1.fc29, python-certbot-dns-dnsimple-0.34.2-1.fc29, python-certbot-dns-dnsmadeeasy-0.34.2-1.fc29, python-certbot-dns-gehirn-0.34.2-1.fc29, python-certbot-dns-google-0.34.2-1.fc29, python-certbot-dns-linode-0.34.2-1.fc29, python-certbot-dns-luadns-0.34.2-1.fc29, python-certbot-dns-nsone-0.34.2-1.fc29, python-certbot-dns-ovh-0.34.2-1.fc29, python-certbot-dns-rfc2136-0.34.2-1.fc29, python-certbot-dns-route53-0.34.2-1.fc29, python-certbot-dns-sakuracloud-0.34.2-1.fc29, python-certbot-nginx-0.34.2-1.fc29, python-configargparse-0.14.0-2.fc29, python-dns-lexicon-3.2.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-06-15 00:24:38 UTC
certbot-0.34.2-3.el7, python-acme-0.34.2-1.el7, python-certbot-apache-0.34.2-1.el7, python-certbot-dns-cloudflare-0.34.2-1.el7, python-certbot-dns-cloudxns-0.34.2-1.el7, python-certbot-dns-digitalocean-0.34.2-1.el7, python-certbot-dns-dnsimple-0.34.2-1.el7, python-certbot-dns-dnsmadeeasy-0.34.2-1.el7, python-certbot-dns-gehirn-0.34.2-1.el7, python-certbot-dns-google-0.34.2-1.el7, python-certbot-dns-linode-0.34.2-1.el7, python-certbot-dns-luadns-0.34.2-1.el7, python-certbot-dns-nsone-0.34.2-1.el7, python-certbot-dns-ovh-0.34.2-1.el7, python-certbot-dns-rfc2136-0.34.2-1.el7, python-certbot-dns-route53-0.34.2-1.el7, python-certbot-dns-sakuracloud-0.34.2-1.el7, python-certbot-nginx-0.34.2-1.el7, python-dns-lexicon-3.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.